### Method

# Clutter OffscreenEffect get_target_size

#### Declaration [src]

    gboolean
    clutter_offscreen_effect_get_target_size (
      ClutterOffscreenEffect* effect,
      gfloat* width,
      gfloat* height
    )

#### Description [src]

Retrieves the size of the offscreen buffer used by `effect` to paint the actor to which it has been applied.

This function should only be called by `ClutterOffscreenEffect` implementations, from within the `Clutter.OffscreenEffectClass.paint_target` virtual function.

#### Parameters

`width`

  Type: `gfloat*`

  Return location for the target width, or `NULL`.

  The argument will be set by the function.

`height`

  Type: `gfloat*`

  Return location for the target height, or `NULL`.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

`TRUE` if the offscreen buffer has a valid size, and `FALSE` otherwise.